Subject: bug#72912: closed (Re: [bug#72912] [PATCH 0/1] Update Minetest to 5.9.0 (again))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Sep 2024 01:59:01 +0000

Your bug report

#72912: [PATCH 0/1] Update Minetest to 5.9.0 (again)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72912: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72912
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#72912] [PATCH 0/1] Update Minetest to 5.9.0 (again)
From: Leo Famulari <[email-masked]>
To: Jan Wielkiewicz <[email-masked]>
Cc: Adam Faiz <[email-masked]>, [email-masked], Liliana Marie Prikler <[email-masked]>,宋文武 <[email-masked]>
Date: Tue, 10 Sep 2024 21:57:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Sep 09, 2024 at 11:37:30PM +0200, Jan Wielkiewicz wrote:
> Liliana Marie Prikler <[email-masked]> wrote:
> > Am Freitag, dem 06.09.2024 um 13:45 -0400 schrieb Leo Famulari:
> > > So, I'm wondering if minetest-game should depend on or even
> > > propagate minetest? Like, what is the correct method for a new user
> > > to install and run the Minetest game with Minetest 5.9.0?
> > I would guess it's `guix install minetest minetest-game', but note
> > that you could also have `guix install minetest minetest-mineclone`.
> > I would use the same pattern that we already use for Guile, Emacs,
> > etc. and just require that the base package be in the profile.

Sounds good to me.

> By this you mean I'd have to add minetest as a propagated input for
> each package that needs it to run? I could do that, but I believe this
> is out of the scope of the current work. I'll update minetest packages
> in a future PR and while doing so I'll add minetest to propagated
> inputs.

Okay, if you like. As Liliana pointed out, propagation may not be
expected in cases like this.

> Is there anything else I need to do in order to get this merged?

Pushed as ef428cf721861c01e21c96db61330a44e9a5ee28

Thanks again!

Subject: [PATCH 0/1] Update Minetest to 5.9.0 (again)
From: Jan Wielkiewicz <[email-masked]>
To: [email-masked]
Cc: Jan Wielkiewicz <[email-masked]>
Date: Sat, 31 Aug 2024 12:52:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Sending again after sending guix lint messages.

Minetest got updated to 5.9.0. This was a big update with major changes.
Minetest Game (MTG) got dropped - is not longer the official game for the
Minetest engine, and got debundled from default Minetest (engine) shipped
to players. Hence I'm debundling it from this Guix package renamed from
"minetest-data" to "minetest-minetest-game" and deprecated the former package.
In this release irrlicht-for-minetest got merged into Minetest's tree, so
I'm deprecating the package. I also had to adjust the minetest build system
to use the new "minetest-minetest-game" package for testing.
MTG also entered maintenance-only mode and became a rolling release,
so I picked the latest commit from the master branch for it instead of git tags.

Minetest build system actually makes a pretty ugly assumption -
that all minetest mods are mods for MTG, while the game supports
mods for any minetest game (for example Voxelibre, Nodecore and such).
So testing all mods against MTG makes no sense, but it will addressed in
future commits.

Jan Wielkiewicz (1):
  gnu: minetest: update to 5.9.0.

 gnu/packages/games.scm         |  24 +---
 gnu/packages/minetest.scm      | 239 +++++++++++++++++----------------
 guix/build-system/minetest.scm |   4 +
 3 files changed, 130 insertions(+), 137 deletions(-)

base-commit: d5312370b46ace47e138d84e1bb28e5651cee94b
-- 
2.45.2